
Synnefo - Bug # 669

Status: Closed Priority: Medium

Author: Constantinos Venetsanopoulos Category: Cyclades UI

Created: 06/10/2011 Assignee: Christos Psaltis

Updated: 06/27/2011 Due date:

Subject: Μικρές αλλαγές στο icon view layout

Description

Μετά το demo και μια συζήτηση που έκανε ο κ. Κοζύρης προέκυψαν κάποιες μικρές αλλαγές στο machine icon view:

(έχει ανέβει αντίστοιχο mockup: https://code.grnet.gr/attachments/download/193/web_layout_0.1.1.png)

1. To πάνω pane αποκτά και αρκετό opacity.

2. Φεύγει το "Name" μπροστά από το όνομα του machine και το όνομα γίνεται bold

3. Μπαίνει μία μπάρα που αντικαθιστά τα "show:disks/networks/info" και δουλεύει όπως περιγράφεται στο ticket για το expansion

4. Το hover στα actions δεν είναι underline αλλά βγαίνει ένα box όπως φαίνεται στο mockup

5. Προστίθεται ένα περίπου τριγωνικό κουμπί ίδιου πλάτους με την οθόνη του οποίου η λειτουργία περιγράφεται στο αντίστοιχο

ticket για το "connect" button

Associated revisions

Revision 9a22f1af - 06/16/2011 03:39 pm - Mike Muzurakis

add transparency to running vms background, Refs #669

Revision 38806403 - 06/16/2011 07:25 pm - Mike Muzurakis

fix small spinner positioning on icon view, Refs #669

Revision b835f283 - 06/16/2011 07:30 pm - Mike Muzurakis

fix name positioning on icon view, Refs #669

Revision 3a786069 - 06/16/2011 07:35 pm - Mike Muzurakis

a bit more positioning inside the icon view vms, Refs #669

History

#1 - 06/10/2011 06:24 pm - Vangelis Koukis

- Target version set to v0.5

#2 - 06/16/2011 04:00 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Εδώ έχουν ολοκληρωθεί όλα τα σημεία, μένει επιμέρους λειτουργικότητα που θα προστεθεί στα πλαίσια των #671 και #673.
#3 - 06/16/2011 04:04 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

ok, απλά δες λίγο τη στοίχιση γιατί το όνομα είναι πιο πάνω από το status. Μάλλον το status πρέπει να ανέβει. Επίσης το εικονίδιο στοίχισε το με το

όνομα

#4 - 06/16/2011 07:35 pm - Mike Muzurakis

- Status changed from Assigned to Feedback

- Assignee changed from Christos Psaltis to Mike Muzurakis

τώρα νομίζω είναι οκ και η στοίχιση

#5 - 06/23/2011 02:26 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Έχει χαλάσει η δεύτερη γραμμή τώρα. Ουσιαστικά έχει χαθεί η τρίτη γραμμή. Πρέπει να ανέβει λίγο πιο ψηλά το IP:.. και τα λαμπάκια και νομίζω θα

είμαστε οκ

#6 - 06/23/2011 02:47 pm - Christos Psaltis

- Status changed from Assigned to Feedback

- Assignee changed from Mike Muzurakis to Christos Psaltis

Αυτό έχει γίνει έτσι γιατί όταν κάνεις rename ένα μηχάνημα η φόρμα εισαγωγής είναι λίγο πιο μεγάλη και είτε κρύβει την ip, όταν είναι κοντά στο

όνομα, είτε την σπρώχνει προς τα κάτω. Έαν κοντύνω την φόρμα τότε τα γράμματα γίνονται πολύ δυσανάγνωστα.

Για τον λόγο αυτό άφησα πιο πολύ κενό μεταξύ ip και ονόματος και στοίχισα τα λαμπάκια με την ip.

#7 - 06/23/2011 02:55 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

To IP και τα λαμπάκια πρέπει να έρθουν πιο πάνω (τα λαμπάκια κολλάνε με το progress gif).

Η φορμά όπως ήταν πριν δεν νομίζω ότι είχε πρόβλημα. Αν βλέπεις πρόβλημα βάλτην να βγαίνει ελάχιστα πιο ψηλά για να μην έχεις πρόβλημα. Έτσι

κ αλλιώς και τώρα τα γράμματα δεν μένουν ακριβώς στο ίδιο σημείο

#8 - 06/25/2011 03:15 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Στο commit:f4766006 έκανα κάποιες διορθώσεις ώστε να ανέβουν όλα λίγο πιο πάνω και το progress να μην κολλάει στα λαμπάκια. ΔΕεν ξέρω εάν

είναι αυτό που είχες στο μυαλό σου, αλλά θα το δούμε καλύτερα και από κοντά την Δευτέρα.

#9 - 06/27/2011 11:39 am - Christos Psaltis
'Εγιναν και οι τελευταίες διορθώσεις στο commit:73655cc0

#10 - 06/27/2011 11:51 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed
